name: syncthing
services:
  syncthing:
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
    image: linuxserver/syncthing:1.29.0
    deploy:
      resources:
        reservations:
          memory: 256M
    network_mode: bridge
    ports:
      - target: 8384
        published: "8384"
        protocol: tcp
      - target: 22000
        published: "22000"
        protocol: tcp
      - target: 22000
        published: "22000"
        protocol: udp
      - target: 21027
        published: "21027"
        protocol: udp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /config
      - type: bind
        source: /DATA
        target: /DATA
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
        - container: PUID
          description:
            en_us: Run Syncthing as specified uid.
            zh_cn: 以指定的用户ID运行Syncthing
        - container: PGID
          description:
            en_us: Run Syncthing as specified gid.
            zh_cn: 以指定的组ID运行Syncthing
      ports:
        - container: "8384"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口
        - container: "22000"
          description:
            en_us: Syncthing listening Port (TCP)
            zh_cn: Syncthing监听端口（TCP）
        - container: "22000"
          description:
            en_us: Syncthing listening Port (UDP)
            zh_cn: Syncthing监听端口（UDP）
          protocol: udp
        - container: "21027"
          description:
            en_us: Syncthing protocol discovery Port (TCP)
            zh_cn: Syncthing协议发现端口（TCP）
          protocol: udp
      volumes:
        - container: /config
          description:
            en_us: Syncthing config directory.
            zh_cn: Syncthing配置目录
        - container: /DATA
          description:
            en_us: Syncthing Accessible Directory.
            zh_cn: Syncthing可访问目录
    container_name: syncthing
x-casaos:
  architectures:
    - amd64
    - arm64
  main: syncthing
  author: CasaOS Team
  category: Backup
  description:
    en_us: |
      # Unlocking the True Potential of Data Backup

      Say goodbye to traditional cloud backup limitations and embrace the future with Syncthing. Unlike conventional cloud services that often come with privacy concerns and storage restrictions, Syncthing provides a secure, real-time file synchronization solution that keeps your data exclusively in your hands. Whether you're syncing work documents or personal photos, you have complete control over where and how your files are stored and shared.

      # Features That Make a Difference

      Syncthing offers a seamless, user-friendly experience with powerful features designed for everyday users. Enjoy continuous file synchronization between multiple devices without any subscription fees. Experience peace of mind knowing that your data is encrypted and protected from unauthorized access. Syncthing’s open-source nature means no hidden costs, providing a truly transparent and cost-effective solution for your file management needs.

      # The Power of Syncthing on Zima

      Deploying Syncthing on Zima private cloud devices unlocks unparalleled convenience: enjoy unlimited storage capacity, ensure the privacy of your data, and benefit from blazing local network speeds. Transform your data management and synchronization with the perfect combination of Syncthing’s capabilities and Zima’s powerful infrastructure.
    zh_cn: |
      # 解锁数据备份的真正潜力

      告别传统云备份的限制，迎接 Syncthing 带来的未来。不同于常规云服务可能存在的隐私问题和存储限制，Syncthing 提供了一种安全、实时的文件同步解决方案，让您的数据完全掌握在自己手中。无论您是在同步工作文件还是个人照片，您都可以完全控制文件的存储和共享方式。

      # 令人瞩目的功能

      Syncthing 提供了无缝、用户友好的体验，并拥有为日常用户设计的强大功能。无需订阅费用即可在多个设备之间进行持续文件同步。放心，您的数据是加密的，防止未经授权的访问。作为开源项目，Syncthing 没有隐藏费用，为您的文件管理需求提供真正透明和具有成本效益的解决方案。

      # Syncthing 在 Zima 上的强大功能

      在 Zima 私有云设备上部署 Syncthing，解锁无与伦比的便利性：享受无限存储容量，确保数据隐私，并从超快的本地网络速度中受益。利用 Syncthing 的功能和 Zima 强大的基础设施，变革您的数据管理和同步体验。
  developer: Syncthing
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Syncthing/icon.png
  tagline:
    en_us: Open decentralized file synchronization
    zh_cn: 开放的去中心化文件同步
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Syncthing/thumbnail.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Syncthing/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Syncthing/screenshot-2.png
  tips: {}
  title:
    en_us: Syncthing
  index: /
  port_map: "8384"
